Skip to main content
GET
List settlement rules

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

customerId
string

Only the rules of this customer

status
enum<string>

Only rules in this status Status of a settlement rule.

Available options:
PENDING_APPROVAL,
ACTIVE,
PAUSED,
DELETED
limit
integer
default:100

Maximum number of results to return (default 100, max 200)

Required range: 1 <= x <= 200
cursor
string

Cursor for pagination (returned from previous request)

Response

Successful operation

data
object[]
required
hasMore
boolean
required

Indicates if more results are available beyond this page.

nextCursor
string

Cursor to retrieve the next page of results (only present if hasMore is true).

totalCount
integer

Total number of rules matching the filter.